"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchResourceRequested = exports.fetchResourceReceived = exports.fetchResourceFailed = exports.fetchResourceAlreadyRequested = exports.fetchResourceAlreadyReceived = void 0;

var T = _interopRequireWildcard(require("./types"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var fetchResourceAlreadyReceived = function fetchResourceAlreadyReceived(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_ALREADY_RECEIVED
  };
};

exports.fetchResourceAlreadyReceived = fetchResourceAlreadyReceived;

var fetchResourceAlreadyRequested = function fetchResourceAlreadyRequested(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_ALREADY_REQUESTED
  };
};

exports.fetchResourceAlreadyRequested = fetchResourceAlreadyRequested;

var fetchResourceFailed = function fetchResourceFailed(resourceName, id, error) {
  return {
    payload: {
      error: error,
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_FAILED
  };
};

exports.fetchResourceFailed = fetchResourceFailed;

var fetchResourceReceived = function fetchResourceReceived(resourceName, id, data) {
  return {
    payload: {
      data: data,
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_RECEIVED
  };
};

exports.fetchResourceReceived = fetchResourceReceived;

var fetchResourceRequested = function fetchResourceRequested(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_REQUESTED
  };
};

exports.fetchResourceRequested = fetchResourceRequested;